<?php

/**
 * @file
 * Contains CdekSerializer class.
 */

/**
 * CDEK API serializer.
 */
class CdekSerializer {

  /**
   * Decodes data from the JSON format.
   *
   * @param string $data
   *   The encoded JSON string to decode.
   *
   * @return mixed
   *   The decoded data.
   *
   * @throws UnexpectedValueException
   *   Error while decoding JSON.
   */
  public static function decodeJson($data) {
    $decoded_data = json_decode($data, TRUE);
    if (json_last_error() !== JSON_ERROR_NONE) {
      throw new UnexpectedValueException(json_last_error_msg());
    }
    return $decoded_data;
  }

}
